CageRenderer
Date: 2019-10-22

org.jmol.render

## Class CageRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.FontLineShapeRenderer
    - - org.jmol.render.CageRenderer

- Direct Known Subclasses:
    AxesRenderer, BbcageRenderer, UccageRenderer

      abstract class CageRenderer
      extends FontLineShapeRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isPolymer`
    `protected boolean` | `isSlab`
    `protected javajs.util.P3[]` | `p3Screens`
    `private javajs.util.P3` | `pt`
    `protected char[]` | `tickEdges`

    - ### Fields inherited from class org.jmol.render.FontLineShapeRenderer

      `asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CageRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `renderCage(int mad, javajs.util.P3[] vertices, int[][] faces, javajs.util.P3[] axisPoints, int firstLine, int allowedEdges0, int allowedEdges1, float scale)`

    - ### Methods inherited from class org.jmol.render.FontLineShapeRenderer

      `checkTickTemps, drawDashed, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, render, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### p3Screens

          protected final javajs.util.P3[] p3Screens

    - #### tickEdges

          protected char[] tickEdges

    - #### isSlab

          protected boolean isSlab

    - #### isPolymer

          protected boolean isPolymer

    - #### pt

          private javajs.util.P3 pt

  - ### Constructor Detail

    - #### CageRenderer

          CageRenderer()

  - ### Method Detail

    - #### renderCage

          protected void renderCage(int mad,
                                    javajs.util.P3[] vertices,
                                    int[][] faces,
                                    javajs.util.P3[] axisPoints,
                                    int firstLine,
                                    int allowedEdges0,
                                    int allowedEdges1,
                                    float scale)